proxy-providers:
  vless-universal:
    type: http
    format: text
    url: https://raw.githubusercontent.com/zieng2/wl/main/vless_universal.txt
    interval: 3600
    path: ./providers/vless_links.yaml
    proxy: DIRECT
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 300
      lazy: true
      expected-status: 204

  white-cidr-proxies:
    type: http
    format: text
    url: https://raw.githack.com/igareck/vpn-configs-for-russia/main/WHITE-CIDR-RU-all.txt
    interval: 3600
    path: ./providers/white_cidr_links.yaml
    proxy: DIRECT
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 300
      lazy: true
      expected-status: 204

  white-sni-proxies:
    type: http
    format: text
    url: https://raw.githack.com/igareck/vpn-configs-for-russia/main/WHITE-SNI-RU-all.txt
    interval: 3600
    path: ./providers/white_sni_links.yaml
    proxy: DIRECT
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 300
      lazy: true
      expected-status: 204

proxy-groups:
  - name: 🚀 Proxy
    type: select
    proxies:
      - 🔥 Самый быстрый
      - ✍️ Выбор вручную
      # - ⚡ Auto VLESS Universal
      # - ⚡ Auto White CIDR
      # - ⚡ Auto White SNI
      - DIRECT

  - name: 🔥 Самый быстрый
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 30
    timeout: 3000
    tolerance: 100
    use:
      - vless-universal
      - white-cidr-proxies
      - white-sni-proxies

  - name: ✍️ Выбор вручную
    type: select
    use:
      - vless-universal
      - white-cidr-proxies
      - white-sni-proxies

  # - name: ⚡ Auto VLESS Universal
  #   type: url-test
  #   url: http://www.gstatic.com/generate_204
  #   interval: 30
  #   timeout: 3000
  #   tolerance: 100
  #   use:
  #     - vless-universal

  # - name: ⚡ Auto White CIDR
  #   type: url-test
  #   url: http://www.gstatic.com/generate_204
  #   interval: 30
  #   timeout: 3000
  #   tolerance: 100
  #   use:
  #     - white-cidr-proxies

  # - name: ⚡ Auto White SNI
  #   type: url-test
  #   url: http://www.gstatic.com/generate_204
  #   interval: 30
  #   timeout: 3000
  #   tolerance: 100
  #   use:
  #     - white-sni-proxies

rules:
  - MATCH,🚀 Proxy
